from pathlib import Path

from autosd_demo import AUTOSD_DEMO_DATA_PATH
from autosd_demo.settings import settings
from autosd_demo.utils import in_autosd_demo


def get_ansible_playbook_paths():
    ansible_playbooks = []
    ansible_playbooks_path = (
        Path(settings.centos_sig.autosd_demo.playbooks_dir)
        if in_autosd_demo()
        else Path(AUTOSD_DEMO_DATA_PATH, "ansible")
    )

    ansible_playbooks += ansible_playbooks_path.glob("*.yaml")
    ansible_playbooks += ansible_playbooks_path.glob("*.yml")

    return ansible_playbooks


def get_ansible_playbook_names():
    return [playbook.name for playbook in get_ansible_playbook_paths()]


def get_ansible_playbook_path_from_name(name):
    ansible_playbook_paths = get_ansible_playbook_paths()
    for playbook_path in ansible_playbook_paths:
        if playbook_path.name == name:
            return playbook_path
    return None
